<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='invoicesData' [showValidationSummary]="false"
        validationGroup="invoiceValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Entitate'}" dataField="entityId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dspEntities, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Furnizor'}" dataField="supplierId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: dspContractors, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Nr'}" dataField="no" editorType="dxTextBox" [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Data'}" dataField="date" editorType="dxDateBox"
                [editorOptions]="{ format: 'dd.MM.yyyy', width: 'auto' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>

        <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Tip factura'}" dataField="isSales" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: ds.dsInvoiceType, valueExpr: 'id', displayExpr: 'value' }">
            </dxi-item>
            <dxi-item [label]="{text: 'Sumă - cu Tva'}" dataField="amount" editorType="dxNumberBox"
                [editorOptions]="{ }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>
        <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Descriere'}" dataField="comments" editorType="dxTextBox" [editorOptions]="{ }"></dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>
